# Generated by Django 4.2.9 on 2024-02-06 00:34

from django.db import migrations, models
from django.db.models import Count


def set_progress_team_size(apps, schema_editor):
    TeamPuzzleProgress = apps.get_model('hunts', 'TeamPuzzleProgress')
    counts = TeamPuzzleProgress.objects.annotate(_team_size=Count('team__members')).values('pk', '_team_size')
    progresses = [TeamPuzzleProgress(pk=c['pk'], team_size=c['_team_size']) for c in counts]
    TeamPuzzleProgress.objects.bulk_update(progresses, ['team_size'])


class Migration(migrations.Migration):

    dependencies = [
        ('hunts', '0036_alter_teamhint_unique_together'),
    ]

    operations = [
        migrations.AddField(
            model_name='teampuzzleprogress',
            name='team_size',
            field=models.PositiveSmallIntegerField(blank=True, null=True),
        ),
        migrations.RunPython(
            code=set_progress_team_size,
            reverse_code=migrations.RunPython.noop,
        ),
        migrations.AlterField(
            model_name='teampuzzleprogress',
            name='team_size',
            field=models.PositiveSmallIntegerField(),
        ),
    ]

